Subject: Offline Message from Glenda: Hi! I talk to one of your customer agent last Ju
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 07 Jul 2020 10:04:44 -0000

From: Glenda <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/contact-us
Department: 

Hi! I talk to one of your customer agent last July 2 regarding the items that I received and until now I did not receive reply from the email she asked me to make. I’m also trying to call but unfortunately all agents are busy. I’ve been waiting for almost 7min for an agent available. By the way my order #600908869. My concern is the play-doh i received. I order 7 can of single play-doh and 5 of them is white. I would like to changed the colors please. 

----
Zopim
https://www.zopim.com